Class KeySystemConfiguration
-
- All Implemented Interfaces:
public class KeySystemConfigurationThe configuration of a key system which will be used during the licensing process with a given DRM server.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description public final classKeySystemConfiguration.BuilderThe builder for the key system configuration.
-
Field Summary
Fields Modifier and Type Field Description private final StringlicenseAcquisitionURLprivate final Map<String, String>headersprivate final BooleanuseCredentialsprivate final Map<String, String>queryParametersprivate final LicenseTypelicenseTypeprivate final ByteArraycertificateprivate final BooleanforceSoftwareDecryptprivate final Map<String, Object>integrationParameters
-
Constructor Summary
Constructors Constructor Description KeySystemConfiguration(String licenseAcquisitionURL, Map<String, String> headers, Boolean useCredentials, Map<String, String> queryParameters, LicenseType licenseType, ByteArray certificate, Boolean forceSoftwareDecrypt, Map<String, Object> integrationParameters)
-
Method Summary
Modifier and Type Method Description final StringgetLicenseAcquisitionURL()The license acquisition URL. final Map<String, String>getHeaders()Map of HTTP headers for the license acquisition request. final BooleangetUseCredentials()Returns whether the player is allowed to use credentials for cross-origin requests. final Map<String, String>getQueryParameters()The map of query parameters for the license acquisition request. final LicenseTypegetLicenseType()The license type. final ByteArraygetCertificate()The certificate. final BooleangetForceSoftwareDecrypt()Whether to force decryption to happen in software. final Map<String, Object>getIntegrationParameters()The integration-specific parameters to be used by a ContentProtectionIntegration. Booleanequals(Object other)IntegerhashCode()final KeySystemConfigurationcopy(String licenseAcquisitionURL, Map<String, String> headers, Boolean useCredentials, Map<String, String> queryParameters, LicenseType licenseType, ByteArray certificate, Boolean forceSoftwareDecrypt, Map<String, Object> integrationParameters)Creates a new KeySystemConfiguration with the same properties as this configuration, optionally replacing specific properties with the given values. -
-
Method Detail
-
getLicenseAcquisitionURL
final String getLicenseAcquisitionURL()
The license acquisition URL. (NonNull)
-
getHeaders
final Map<String, String> getHeaders()
Map of HTTP headers for the license acquisition request. (NonNull)
Each entry contains a header name with associated value.
-
getUseCredentials
final Boolean getUseCredentials()
Returns whether the player is allowed to use credentials for cross-origin requests.
Credentials are cookies, authorization headers or TLS client certificates.
Default: false
-
getQueryParameters
final Map<String, String> getQueryParameters()
The map of query parameters for the license acquisition request. (NonNull)
Each entry contains a query parameter name with associated value.
-
getLicenseType
final LicenseType getLicenseType()
The license type. (Nullable)
Indicates whether the license should be persisted.
This is only possible if the LicenseType allows it.
-
getCertificate
final ByteArray getCertificate()
The certificate.
- Returns:
The certificate. (Nullable)
-
getForceSoftwareDecrypt
final Boolean getForceSoftwareDecrypt()
Whether to force decryption to happen in software.
Only supported for Widevine.
If set, the player will always use Widevine L3 (even if Widevine L1 is supported).
This may prevent the player from switching to a high-definition quality, and should only be used to work around issues on specific devices.
-
getIntegrationParameters
final Map<String, Object> getIntegrationParameters()
The integration-specific parameters to be used by a ContentProtectionIntegration.
-
copy
final KeySystemConfiguration copy(String licenseAcquisitionURL, Map<String, String> headers, Boolean useCredentials, Map<String, String> queryParameters, LicenseType licenseType, ByteArray certificate, Boolean forceSoftwareDecrypt, Map<String, Object> integrationParameters)
Creates a new KeySystemConfiguration with the same properties as this configuration, optionally replacing specific properties with the given values.
-
-
-
-